Bug 76033 - Bug in up2date-3.0.7-1 breaks scheduled package list refresh
Bug in up2date-3.0.7-1 breaks scheduled package list refresh
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-15 18:28 EDT by Andrew Minter
Modified: 2015-01-07 19:01 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-20 10:54:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Minter 2002-10-15 18:28:37 EDT
Description of problem:
Package list refresh scheduled via RHN fails

Version-Release number of selected component (if applicable):
up2date-3.0.7-1

How reproducible:
Always

Steps to Reproduce:
1. Schedule a package list refresh via RHN
2. Wait for the scheduled action to take place
3. Action fails!

Actual Results - RHN reports the following (and does not update package list):

The current action status is: Failed
The client picked up this action on 2002-10-15 23:21:28
The client reported completion on execution on 2002-10-15 23:21:30
Client execution returned code 20 (Error refreshing package list)

Expected Results - RHN should report:

The current action status is: Completed
The client picked up this action on 2002-10-16 00:09:08
The client reported completion on execution on 2002-10-16 00:09:26
Client execution returned code 0 (rpmlist refreshed)

Additional info:

The file /usr/share/rhn/actions/packages.py has an error at line 280:

It says:
        rhnPackageProfile.updatePackageProfile()
                  ^^^^^^^
                  Wrong package name

It should read:

        rhnPackageInfo.updatePackageProfile()
Comment 1 Adrian Likins 2002-10-18 18:10:38 EDT
should be fixed in 3.0.11
Comment 2 Matt Jamison 2003-05-20 10:54:59 EDT
closing bug.

Note You need to log in before you can comment on or make changes to this bug.